# Define the system of units to use internally. 
InternalUnitSystem:
  UnitMass_in_cgs:     1   # Grams
  UnitLength_in_cgs:   1   # Centimeters
  UnitVelocity_in_cgs: 1   # Centimeters per second
  UnitCurrent_in_cgs:  1   # Amperes
  UnitTemp_in_cgs:     1   # Kelvin

# Parameters governing the time integration
TimeIntegration:
  time_begin: 0.    # The starting time of the simulation (in internal units).
  time_end:   0.2   # The end time of the simulation (in internal units).
  dt_min:     1e-7  # The minimal time-step size of the simulation (in internal units).
  dt_max:     1e-2  # The maximal time-step size of the simulation (in internal units).

# Parameters governing the snapshots
Snapshots:
  basename:            sodShock # Common part of the name of output files
  time_first:          0.       # Time of the first output (in internal units)
  delta_time:          0.2      # Time difference between consecutive outputs (in internal units)
  compression:         1
  
# Parameters governing the conserved quantities statistics
Statistics:
  delta_time:          1e-2 # Time between statistics output

# Parameters for the hydrodynamics scheme
SPH:
  resolution_eta:        1.2348   # Target smoothing length in units of the mean inter-particle separation (1.2348 == 48Ngbs with the cubic spline kernel).
  CFL_condition:         0.1      # Courant-Friedrich-Levy condition for time integration.
  viscosity_alpha:       0.8      # Override for the initial value of the artificial viscosity. In schemes that have a fixed AV, this remains as alpha throughout the run.

# Parameters related to the initial conditions
InitialConditions:
  file_name:  ./sodShock.hdf5       # The file to read
  periodic:   1

EAGLEChemistry:              # Solar abundances
  init_abundance_metal:      0.014
  init_abundance_Hydrogen:   0.70649785
  init_abundance_Helium:     0.28055534
  init_abundance_Carbon:     2.0665436e-3
  init_abundance_Nitrogen:   8.3562563e-4
  init_abundance_Oxygen:     5.4926244e-3
  init_abundance_Neon:       1.4144605e-3
  init_abundance_Magnesium:  5.907064e-4
  init_abundance_Silicon:    6.825874e-4
  init_abundance_Iron:       1.1032152e-3
  
EAGLECooling:
  dir_name:                ./coolingtables/
  H_reion_z:               11.5 
  H_reion_eV_p_H:          2.0
  He_reion_z_centre:       3.5
  He_reion_z_sigma:        0.5
  He_reion_eV_p_H:         2.0

# EAGLE star formation parameters
EAGLEStarFormation:
  EOS_density_norm_H_p_cm3:          0.1       # Physical density used for the normalisation of the EOS assumed for the star-forming gas in Hydrogen atoms per cm^3.
  EOS_temperature_norm_K:            8000      # Temperature om the polytropic EOS assumed for star-forming gas at the density normalisation in Kelvin.
  EOS_gamma_effective:               1.3333333 # Slope the of the polytropic EOS assumed for the star-forming gas.
  KS_normalisation:                  1.515e-4  # The normalization of the Kennicutt-Schmidt law in Msun / kpc^2 / yr.
  KS_exponent:                       1.4       # The exponent of the Kennicutt-Schmidt law.
  KS_min_over_density:               57.7      # The over-density above which star-formation is allowed.
  KS_high_density_threshold_H_p_cm3: 1e3       # Hydrogen number density above which the Kennicut-Schmidt law changes slope in Hydrogen atoms per cm^3.
  KS_high_density_exponent:          2.0       # Slope of the Kennicut-Schmidt law above the high-density threshold.
  KS_temperature_margin_dex:         0.5       # Logarithm base 10 of the maximal temperature difference above the EOS allowed to form stars.
  threshold_norm_H_p_cm3:            0.1       # Normalisation of the metal-dependant density threshold for star formation in Hydrogen atoms per cm^3.
  threshold_Z0:                      0.002     # Reference metallicity (metal mass fraction) for the metal-dependant threshold for star formation.
  threshold_slope:                   -0.64     # Slope of the metal-dependant star formation threshold
  threshold_max_density_H_p_cm3:     10.0      # Maximal density of the metal-dependant density threshold for star formation in Hydrogen atoms per cm^3.
  
# Parameters for the EAGLE "equation of state"
EAGLEEntropyFloor:
  Jeans_density_threshold_H_p_cm3: 0.1       # Physical density above which the EAGLE Jeans limiter entropy floor kicks in expressed in Hydrogen atoms per cm^3.
  Jeans_over_density_threshold:    10.       # Overdensity above which the EAGLE Jeans limiter entropy floor can kick in.
  Jeans_temperature_norm_K:        8000      # Temperature of the EAGLE Jeans limiter entropy floor at the density threshold expressed in Kelvin.
  Jeans_gamma_effective:           1.3333333 # Slope the of the EAGLE Jeans limiter entropy floor
  Cool_density_threshold_H_p_cm3: 1e-5       # Physical density above which the EAGLE Cool limiter entropy floor kicks in expressed in Hydrogen atoms per cm^3.
  Cool_over_density_threshold:    10.        # Overdensity above which the EAGLE Cool limiter entropy floor can kick in.
  Cool_temperature_norm_K:        8000       # Temperature of the EAGLE Cool limiter entropy floor at the density threshold expressed in Kelvin.
  Cool_gamma_effective:           1.         # Slope the of the EAGLE Cool limiter entropy floor

# Parameters related to the equation of state
EoS:
    planetary_use_idg_def:    1               # Default ideal gas, material ID 0
